
Foreman - Feature #3018

API v2 metadata for pagination in index collection response

09/04/2013 06:59 AM - Joseph Magen

Status: Closed   

Priority: Normal   

Assignee: Joseph Magen   

Category: API   

Target version: 1.4.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

"total": 30,

"per_page": 20,

"page": 1,

"search": "",

"sort": ""

"results": [     {

Related issues:

Related to Foreman - Bug #3782: API v2 wrong metadata while listing facts Closed

Associated revisions

Revision 92b7b44d - 11/26/2013 04:05 PM - Joseph Magen

fixes #3018 - API v2 metadata for pagination, search, order in index collection json response

History

#1 - 10/17/2013 12:10 PM - Joseph Magen

- Target version set to 1.15.0

#2 - 11/11/2013 08:35 AM - Joseph Magen

- Status changed from Assigned to Ready For Testing

#3 - 11/12/2013 12:05 PM - Dominic Cleal

- Target version changed from 1.15.0 to 1.10.0

#4 - 11/25/2013 10:32 AM - Dominic Cleal

- translation missing: en.field_release set to 2

#5 - 11/26/2013 04:31 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 92b7b44dce1b316fa962fab9d1c311fb9e433677.

#6 - 12/02/2013 08:32 AM - Dominic Cleal

- Related to Bug #3782: API v2 wrong metadata while listing facts added
